Summary: GNU CSSC - An SCCS clone
Name: CSSC
Version: 1.5.0-rc1
Release: 1
URL: http://www.gnu.org/software/cssc/
License: GPL (one program is BSD, see COPYING.bsd)
Packager: Thomas.Duffy.99@alumni.brown.edu
Group: Development/Version Control
Source: ftp://ftp.gnu.org/pub/gnu/cssc/CSSC-%{PACKAGE_VERSION}.tar.gz
Prereq: /sbin/install-info
Requires: /usr/bin/diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
CSSC is a clone for the traditional Unix version control suite SCCS.
It aims for near-total compatibility with SCCS.  CSSC stands for
"Compatibly Stupid Source Control".

%prep
%setup

%build
autoconf
%configure --enable-binary
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
#ln -s libexec/cssc $RPM_BUILD_ROOT/usr/sccs
cd $RPM_BUILD_ROOT/usr/bin
ln -s ../libexec/cssc/* .
gzip $RPM_BUILD_ROOT/%{_infodir}/cssc* || true
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/cssc.info.gz %{_infodir}/dir --entry="* cssc: (cssc)."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/cssc.info.gz %{_infodir}/dir --entry="* cssc: (cssc)."
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog INSTALL NEWS
%doc docs/BUGS docs/CREDITS docs/Platforms
%doc docs/TESTING docs/TODO docs/missing.txt
%doc docs/patches.txt docs/mailing-list.txt
%doc docs/style.txt
%doc bsd/COPYING.bsd bsd/sccs.me
%dir %{_libexecdir}/cssc
%{_libexecdir}/cssc
%{_bindir}/sccs
%{_bindir}/admin
%{_bindir}/cdc
%{_bindir}/delta
%{_bindir}/get
%{_bindir}/prs
%{_bindir}/prt
%{_bindir}/rmdel
%{_bindir}/sact
%{_bindir}/sccsdiff
%{_bindir}/unget
%{_bindir}/val
%{_bindir}/what
%{_mandir}/man*/*
%{_infodir}/*.info*

%changelog

* Thu May  6 2010 James Youngman <jay@gnu.org>
Do not distribute docs/FIXED, it no longer exists.

* Sat Jan  3 2009 Alain Williams <addw@phcomp.co.uk>
Changed "Copyright" tag to "License".
Do not make the /usr/sccs symbolic link.
Add various binaries to %files.

* Mon Dec 17 2007 James Youngman <jay@gnu.org>
Updated URLs to reflect the fact that we migrated from
SourceForge to Savannah.

* Fri Oct  4 2002 James Youngman <jay@gnu.org>
Change reference to sccs.1 to sccs.1* because RPM version 4
compresses all the manual pages.

* Sat Jul 14 2001 James Youngman <jay@gnu.org>
Pass the --enable-binary flag to enable binary file support.
This was previously the default, but it is now mandatory to
supply the option (or --disable-binary).

* Tue Jul 18 2000 James Youngman <jay@gnu.org>
Updated URL.

* Mon Jun 15 1998 Aron Griffis <agriffis@coat.com>
Added symbolic links in /usr/bin to call programs directly

* Wed Jun 10 1998 jay@gnu.org <James Youngman>
Added sccs.1 to the list of files.

* Sat May 23 1998 interran@crd.GE.COM <John Interrante>
Don't use --infodir since that breaks the BuildRoot.  "--infodir" is
set by setting "--prefix" anyway.

* Fri May  8 1998 interran@crd.GE.COM <John Interrante>
Use a build-root.   Also use install-info.  Use install-strip
rather than just "strip *".

* Sat Feb 21 1998 jay@gnu.org <James Youngman>
Strip the installed binaries.

* Thu Feb 12 1998 jay@gnu.org <James Youngman>
Added sccsdiff to the file list.

* Sat Jan 17 1998 jay@gnu.org <James Youngman>

First RPMed version (0.05alpha-pl0)
